OpMath
A B C D E F G H I K L M N O P Q R S T U V W X Y Z

G

gamma - Static variable in class com.opmath.util.html.HTMLEncoder
HTML Entity representing the greek small letter gamma.
GAMMA - Static variable in class com.opmath.util.html.HTMLEncoder
HTML Entity representing the greek capital letter gamma.
GB - Static variable in class com.opmath.util.html.Countries
Language selector.
GE - Static variable in class com.opmath.util.html.HTMLEncoder
HTML Entity representing a 'greater than or equal to' symbol.
get(int) - Method in class com.opmath.util.datastruct.ComparableResultSet
Returns the element at the specified position in this ComparableResultSet.
get(int) - Method in interface com.opmath.util.datastruct.ComparableList
Returns the element at the specified position in this ComparableList.
get(int) - Method in class com.opmath.util.datastruct.ComparableArray
Returns the element at the specified position in this ComparableArray.
get(Object) - Method in class com.opmath.util.datastruct.OrderedHashtable
 
getAt(Comparable, int) - Method in class com.opmath.util.datastruct.ComparableTable
Returns the Comparable identified by the column key and the index into the column i.
getAttribute(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of the named attribute as an Object, or null if no attribute of the given name exists.
getAttributeNames() - Method in class com.opmath.util.http.HttpServletRequest
Returns an Enumeration containing the names of the attributes available to this request.
getAuthType() - Method in class com.opmath.util.http.HttpServletRequest
Returns the name of the authentication scheme used to protect the servlet.
getBooleanParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a Boolean.
getChar() - Method in class com.opmath.util.html.HTMLEntity
Returns the character representation of the entity.
getCharacterEncoding() - Method in class com.opmath.util.http.HttpServletRequest
Returns the name of the character encoding used in the body of this request.
getColumn(Comparable) - Method in class com.opmath.util.datastruct.ComparableTable
returns the column identified by key in the form of a ComparableList.
getColumns() - Method in class com.opmath.util.datastruct.ComparableTable
Returns a new Vector, containing one Vector for each coulumn in this ComparableTable instance.
getConnection() - Method in class com.opmath.util.db.DBObject
Returns the connection object for this DB instance.
getConnection() - Method in interface com.opmath.util.db.DB
Returns the connection object for this DB instance.
getContentLength() - Method in class com.opmath.util.http.HttpServletRequest
Returns the length, in bytes, of the request body and made available by the input stream, or -1 if the length is not known.
getContentType() - Method in class com.opmath.util.http.HttpServletRequest
Returns the MIME type of the body of the request, or null if the type is not known.
getContextPath() - Method in class com.opmath.util.http.HttpServletRequest
Returns the portion of the request URI that indicates the context of the request.
getCookies() - Method in class com.opmath.util.http.HttpServletRequest
Returns an array containing all of the Cookie objects the client sent with this request.
getDateHeader(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of the specified request header as a long that represents a Date object.
getDoubleParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a Double.
getDriver() - Method in interface com.opmath.util.db.DB
Returns the driver class of this DB.
getFloatParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a Float.
getHeader(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of the specified request header as a String.
getHeaderNames() - Method in class com.opmath.util.http.HttpServletRequest
Returns an Enumeration of all the header names this request contains.
getHeaders(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns all the values of the specified request header as an Enumeration of String objects.
getHost() - Method in class com.opmath.util.db.DBRemoteObject
Returns the host for the current connection.
getHost() - Method in interface com.opmath.util.db.DBRemote
Returns the host for the current connection.
getHours() - Method in class com.opmath.util.time.Timer
Returns the elapsed time in hours.
getIndex(String, String) - Method in class com.opmath.util.http.ParamTable
Returns the int index associated with the paramName / paramValue pair, as established by registerIndex(String, String, int).
getIndex(String, String) - Method in interface com.opmath.util.http.ParamIndex
Returns the int index associated with the pair paramName / paramValue, as established by registerIndex(String, String, int).
getIndex(String, String) - Method in class com.opmath.util.http.HttpServlet
Returns the int index associated with the paramName / paramValue pair, as established by registerIndex(String, String, int).
getInputStream() - Method in class com.opmath.util.http.HttpServletRequest
Retrieves the body of the request as binary data using a ServletInputStream.
getInteger() - Method in class com.opmath.util.html.HTMLEntity
Returns the integer numeric form of the entity.
getIntegerParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a Integer.
getIntHeader(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of the specified request header as an int.
getLocale() - Method in class com.opmath.util.http.HttpServletRequest
Returns the preferred Locale that the client will accept content in, based on the Accept-Language header.
getLocales() - Method in class com.opmath.util.http.HttpServletRequest
Returns an Enumeration of Locale objects indicating, in decreasing order starting with the preferred locale, the locales that are acceptable to the client based on the Accept-Language header.
getLongParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a Long.
getMessage() - Method in class com.opmath.util.dmldoc.DMLDocBuildException
Returns a new formatted String containing all the information provided when this DMLDocBuildException instance was created.
getMethod() - Method in class com.opmath.util.http.HttpServletRequest
Returns the name of the HTTP method with which this request was made, for example, GET, POST, or PUT.
getMinutes() - Method in class com.opmath.util.time.Timer
Returns the elapsed time in minutes.
getName() - Method in class com.opmath.util.html.HTMLEntity
Returns the descriptive name of the entity.
getName(int, String) - Static method in class com.opmath.util.html.Countries
Gets the NAMES element, for the given language, whose VALUE is equal to value.
getNextParam() - Method in class com.opmath.util.http.MultiForm
Used to identify the next parameter returned by the Web browser in the input stream.
getParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a String, or null if the parameter does not exist.
getParameterMap() - Method in class com.opmath.util.http.HttpServletRequest
Returns a java.util.Map of the parameters of this request.
getParameterNames() - Method in class com.opmath.util.http.HttpServletRequest
Returns an Enumeration of String objects containing the names of the parameters contained in this request.
getParameterValues(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns an array of String objects containing all of the values the given request parameter has, or null if the parameter does not exist.
getParamFilename() - Method in class com.opmath.util.http.MultiForm
Returns the name of the file which was uploaded via the Web browser.
getParamIndex(String, HttpServletRequest) - Method in class com.opmath.util.http.ParamTable
Returns the int index of the parameter value found in the HttpServletRequest whose name is paramName and whose value is found in the HttpServletRequest.
getParamIndex(String, HttpServletRequest) - Method in interface com.opmath.util.http.ParamIndex
Returns the int index of the parameter value found in the HttpServletRequest whose name is paramName and whose value is found in the HttpServletRequest.
getParamIndex(String, HttpServletRequest) - Method in class com.opmath.util.http.HttpServlet
Returns the int index of the parameter value found in the HttpServletRequest whose name is paramName and whose value is found in the HttpServletRequest.
getParamName() - Method in class com.opmath.util.http.MultiForm
Returns the name of the most recent parameter in the input stream - as encountered by getNextParam().
getParamValue() - Method in class com.opmath.util.http.MultiForm
Returns the value of the most recent parameter in the input stream - as encountered by getNextParam().
getPath() - Method in class com.opmath.util.db.DBObject
Returns the fully qualified path for the current connection.
getPath() - Method in interface com.opmath.util.db.DB
Returns the fully qualified path for the current connection.
getPathInfo() - Method in class com.opmath.util.http.HttpServletRequest
Returns any extra path information associated with the URL the client sent when it made this request.
getPathTranslated() - Method in class com.opmath.util.http.HttpServletRequest
Returns any extra path information after the servlet name but before the query string, and translates it to a real path.
getProtocol() - Method in class com.opmath.util.db.DBObject
Returns the protocol for the current connection.
getProtocol() - Method in interface com.opmath.util.db.DB
Returns the protocol for the current connection.
getProtocol() - Method in class com.opmath.util.http.HttpServletRequest
Returns the name and version of the protocol the request uses in the form protocol/majorVersion.minorVersion, for example, HTTP/1.1.
getQueryString() - Method in class com.opmath.util.http.HttpServletRequest
Returns the query String that is contained in the request URL after the path.
getReader() - Method in class com.opmath.util.http.HttpServletRequest
Retrieves the body of the request as character data using a BufferedReader.
getRealPath(String) - Method in class com.opmath.util.http.HttpServletRequest
Deprecated. As of Version 2.1 of the Java Servlet API, use ServletContext.getRealPath(java.lang.String) instead.
getRemoteAddr() - Method in class com.opmath.util.http.HttpServletRequest
Returns the Internet Protocol (IP) address of the client that sent the request.
getRemoteHost() - Method in class com.opmath.util.http.HttpServletRequest
Returns the fully qualified name of the client that sent the request, or the IP address of the client if the name cannot be determined.
getRemoteUser() - Method in class com.opmath.util.http.HttpServletRequest
Returns the login of the user making this request, if the user has been authenticated, or null if the user has not been authenticated.
getRequestDispatcher(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns a RequestDispatcher object that acts as a wrapper for the resource located at the given path.
getRequestedSessionId() - Method in class com.opmath.util.http.HttpServletRequest
Returns the session ID specified by the client.
getRequestURI() - Method in class com.opmath.util.http.HttpServletRequest
Returns the part of this request's URL from the protocol name up to the query string in the first line of the HTTP request.
getRequestURL() - Method in class com.opmath.util.http.HttpServletRequest
Reconstructs the URL the client used to make the request.
getRows() - Method in class com.opmath.util.datastruct.ComparableTable
Returns a new Vector, containing one Vector for each row in this ComparableTable instance.
getRows() - Method in class com.opmath.util.db.DBTest
Returns a ResultSet object that contains all of the data in the current table.
getRows() - Method in class com.opmath.util.db.DBRemoteTest
Returns a ResultSet object that contains all of the data in the current table.
getScheme() - Method in class com.opmath.util.http.HttpServletRequest
Returns the name of the scheme used to make this request, for example, http, https, or ftp.
getSeconds() - Method in class com.opmath.util.time.Timer
Returns the elapsed time in seconds.
getServerName() - Method in class com.opmath.util.http.HttpServletRequest
Returns the host name of the server that received the request.
getServerPort() - Method in class com.opmath.util.http.HttpServletRequest
Returns the port number on which this request was received.
getServletInfo() - Method in class com.opmath.util.http.HttpSessionServlet
Returns a String carrying some information about the servlet.
getServletInfo() - Method in class com.opmath.util.http.HttpServlet
Returns a String carrying some information about the servlet.
getServletInfo() - Method in class com.opmath.util.http.HttpProtectedServlet
Returns a String carrying some information about the servlet.
getServletInfo() - Method in class com.opmath.util.http.HttpLogOnServlet
Returns a String carrying some information about the servlet.
getServletInfo() - Method in class com.opmath.util.http.HttpLogOffServlet
Returns a String carrying some information about the servlet.
getServletPath() - Method in class com.opmath.util.http.HttpServletRequest
Reconstructs the URL the client used to make the request.
getSession() - Method in class com.opmath.util.http.HttpServletRequest
Returns the current session associated with this request, or if the request does not have a session, creates one.
getSession(boolean) - Method in class com.opmath.util.http.HttpServletRequest
Returns the current HttpSession associated with this request or, if if there is no current session and create is true, returns a new session.
getShortParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a Long.
getStringParameter(String) - Method in class com.opmath.util.http.HttpServletRequest
Returns the value of a request parameter as a String.
getTime() - Method in class com.opmath.util.time.Timer
Returns the elapsed time in milliseconds.
getUserPrincipal() - Method in class com.opmath.util.http.HttpServletRequest
Returns a java.security.Principal object containing the name of the current authenticated user.
getValueCount(String) - Method in class com.opmath.util.http.ParamTable
Returns the number of parameter values registered against paramName.
getValueCount(String) - Method in interface com.opmath.util.http.ParamIndex
Returns the number of parameter values registered against the parameter name paramName.
getValueCount(String) - Method in class com.opmath.util.http.HttpServlet
Returns the number of parameter values registered against paramName.
GT - Static variable in class com.opmath.util.html.HTMLEncoder
HTML Entity representing a greater-than sign.

OpMath
A B C D E F G H I K L M N O P Q R S T U V W X Y Z
Submit a bug or feature to Open Math
Copyright © 2002 Open Math Company Limited, Brighton, UK